if lca==nil then lca={} end
lca.satelliteSA={}
lca.satelliteSA.laser={}
lca.satelliteSAproj={}

lca.satelliteSA.gfx_wpn=loadgfx("weapons/Satellite/Satellite.png")
setmidhandle(lca.satelliteSA.gfx_wpn)
lca.satelliteSA.gfx_laser=loadgfx("weapons/Satellite/IonBeam.bmp")
setmidhandle(lca.satelliteSA.gfx_laser)
lca.satelliteSA.sfx_attack=loadsfx("NONE")

lca.satelliteSA.id=addweapon("lca.satelliteSA","Ion Cannon",lca.satelliteSA.gfx_wpn,0,5)
addweaponinfo("Brings down huge blue line of doom, called Ion Satellite strike. Point mouse and have fun ;)")

function lca.satelliteSA.draw()
	if weapon_shots==0 then
		hudpositioning(pos_invisible)
	end
end

function lca.satelliteSA.attack(attack)
	if (weapon_shots<=0) and (weapon_position==1) then
		useweapon(0)
		weapon_shots=weapon_shots+1
		for i=1,getmapheight()/5, 1 do
			pid=createprojectile(lca.satelliteSAproj.id)
			projectiles[pid]={}
			projectiles[pid].x=weapon_x+random(-70,70)
			projectiles[pid].y=0
			projectiles[pid].sx=1
			projectiles[pid].sy=random(1500,2000)*0.1
			projectiles[pid].timer=i*3
		end
		id=createprojectile(lca.satelliteSA.laser.id)
		projectiles[id]={}
		projectiles[id].timer=(getmapheight()*3.5)/5
		projectiles[id].x=weapon_x
		projectiles[id].y=weapon_y
		endturn()
		end
	end

lca.satelliteSA.laser.id=addprojectile("lca.satelliteSA.laser")

function lca.satelliteSA.laser.draw(id)
	setblend(blend_light)
	setcolor(0,255,255)
	setalpha(projectiles[id].timer/30.0)
	setrotation(0)
	setscale(1,getmapwidth()/10.0)
	drawimage(lca.satelliteSA.gfx_laser,projectiles[id].x,getmapheight()/2.0)
end

function lca.satelliteSA.laser.update(id)
	projectiles[id].timer=projectiles[id].timer-1
	if projectiles[id].timer<=0 then
		freeprojectile(id)
	end
end

lca.satelliteSAproj.id=addprojectile("lca.satelliteSAproj")

function lca.satelliteSAproj.draw(id)
	setbgcolor(0,0,0,weapon_timer,0.01)
	if projectiles[id].timer<=0 then
		setblend(blend_alpha)
		setalpha(1)
		setrotation(math.deg(math.atan2(projectiles[id].sx,-projectiles[id].sy)))
		drawimage(0,projectiles[id].x,projectiles[id].y)
	end
end

function lca.satelliteSAproj.update(id)
	if projectiles[id].timer>0 then
		projectiles[id].timer=projectiles[id].timer-1
	else
		rot=math.deg(math.atan2(projectiles[id].sx,-projectiles[id].sy))
		msubt=math.ceil(math.max(math.abs(projectiles[id].sx),math.abs(projectiles[id].sy))/10)
		msubx=projectiles[id].sx/msubt
		msuby=projectiles[id].sy/msubt
		for i=1,msubt,1 do
			projectiles[id].x=projectiles[id].x+msubx
			projectiles[id].y=projectiles[id].y+msuby
			if collision(lca.satelliteSA.sfx_attack,projectiles[id].x,projectiles[id].y)==1 then
				arealdamage(projectiles[id].x,projectiles[id].y,60,45)
				terrainexplosion(projectiles[id].x,projectiles[id].y,30,1)
				particle(p_smoke,projectiles[id].x,projectiles[id].y)
				grey=math.random(0,40)
				if math.random(0,1)==1 then
					terrainalphaimage(gfx_crater50,projectiles[id].x,projectiles[id].y,math.random(6,9)*0.1,grey,grey,grey)
				else
					terrainalphaimage(gfx_crater75,projectiles[id].x,projectiles[id].y,math.random(6,9)*0.1,grey,grey,grey)
				end
				freeprojectile(id)
				break
			end
			if (projectiles[id].y)>getwatery()+5 then
				freeprojectile(id)
				break
			end
		end
	end
end