if lca==nil then lca={} end
lca.Chargin1={}
-- Use an array to memorize which teams have charged this charge
lca.Chargin1.teams={}

lca.Chargin1.gfx_wpn=loadgfx("weapons/Satellite/SEQ-ChargeA.png")	
setmidhandle(lca.Chargin1.gfx_wpn)
lca.Chargin1.charge=loadsfx("SEQ-ChargeUp.wav")

lca.Chargin1.id=addweapon("lca.Chargin1","First charge",lca.Chargin1.gfx_wpn,0,5)
addweaponinfo("first charge in set, needed to charge others")

function lca.Chargin1.draw()
     if weapon_shots==0 then
          -- charging possible
          if lca.Chargin1.teams[getplayerteam(0)]==nil then
               hudinfo("Press [fire] to activate first charge.")
          -- already charged
          else
               hudinfo("Already charged.")
          end
     end
end

function lca.Chargin1.attack(attack)
     if weapon_shots==0 and attack==1 then
          -- check if charge 1 is chargeable
          if lca.Chargin1.teams[getplayerteam(0)]==nil then
               -- use weapon
               useweapon(0)
               weapon_shots=weapon_shots+1
               endturn()
               -- charge charge
               lca.Chargin1.teams[getplayerteam(0)]=true
               --Effects: sound & graphics
               playsound(lca.Chargin1.charge)
               x=getplayerx(0)
               y=getplayery(0)+3
               particle(p_ring,x,y)
               particlesize(1,1)
               particlecolor(0,204,255)
               particlealpha(0.7)
               particlefadealpha(0)
          end
     end
end