if lca==nil then lca={} end
lca.Chargin2={}
-- Use an array to memorize which teams have charged this charge
lca.Chargin2.teams={}

lca.Chargin2.gfx_wpn=loadgfx("weapons/Satellite/SEQ-ChargeB.png")
setmidhandle(lca.Chargin2.gfx_wpn)
lca.Chargin2.charge=loadsfx("SEQ-ChargeUp.wav")

lca.Chargin2.id=addweapon("lca.Chargin2","Second charge",lca.Chargin2.gfx_wpn,100,1)
addweaponinfo("second charge in set, needed to charge third")

function lca.Chargin2.draw()
     if weapon_shots==0 then
          -- first one not charged yet
          if lca.Chargin1.teams[getplayerteam(0)]==nil then
               hudinfo('You can not charge it! Charge First one before doing this!')
          -- charging possible
          elseif lca.Chargin2.teams[getplayerteam(0)]==nil then
               hudinfo("Press [fire] to activate second charge.")
          -- second one already charged
          else
               hudinfo("Already charged.")
          end
     end
end

function lca.Chargin2.attack(attack)
     if weapon_shots==0 and attack==1 then
          -- check if charge 2 is chargeable
          if lca.Chargin1.teams[getplayerteam(0)]~=nil and
           lca.Chargin2.teams[getplayerteam(0)]==nil then
               -- use weapon
               useweapon(0)
               weapon_shots=weapon_shots+1
               endturn()
               -- charge charge
               lca.Chargin2.teams[getplayerteam(0)]=true
               --Effects: sound & graphics
               playsound(lca.Chargin2.charge)
               x=getplayerx(0)
               y=getplayery(0)+3
               particle(p_ring,x,y)
               particlesize(1,1)
               particlecolor(255,145,0)
               particlealpha(0.7)
               particlefadealpha(0)
               endturn()
          end
     end
end