if lca==nil then lca={} end
lca.Chargin3={}
-- Use an array to memorize which teams have charged this charge
lca.Chargin3.teams={}

lca.Chargin3.gfx_wpn=loadgfx("weapons/Satellite/SEQ-ChargeC.png")
setmidhandle(lca.Chargin3.gfx_wpn)
lca.Chargin3.charge=loadsfx("SEQ-ChargeUp.wav")

lca.Chargin3.id=addweapon("lca.Chargin3","Third charge",lca.Chargin3.gfx_wpn,100,1)
addweaponinfo("third charge in set, needed to charge Ion Strike")

function lca.Chargin3.draw()
     if weapon_shots==0 then
          -- second one not charged yet
          if lca.Chargin2.teams[getplayerteam(0)]==nil then
               hudinfo('You can not charge it! Charge second one before doing this!')
          -- charging possible
          elseif lca.Chargin3.teams[getplayerteam(0)]==nil then
               hudinfo("Press [fire] to activate third charge.")
          -- third one already charged
          else
               hudinfo("Already charged.")
          end
     end
end

function lca.Chargin3.attack(attack)
     if weapon_shots==0 and attack==1 then
          -- check if charge 3 is chargeable
          if lca.Chargin2.teams[getplayerteam(0)]~=nil and
           lca.Chargin3.teams[getplayerteam(0)]==nil then
               -- use weapon
               useweapon(0)
               weapon_shots=weapon_shots+1
               endturn()
               -- charge charge
               lca.Chargin3.teams[getplayerteam(0)]=true
               --Effects: sound & graphics
               playsound(lca.Chargin3.charge)
               x=getplayerx(0)
               y=getplayery(0)+3
               particle(p_ring,x,y)
               particlesize(1,1)
               particlecolor(255,0,0)
               particlealpha(0.7)
               particlefadealpha(0)
               endturn()
          end
     end
end